import { addSchema } from "@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta";
import { Model, setSchema, createTypeMetaGuard } from "@kubernetes-models/base";
import { register } from "@kubernetes-models/validate";
const schemaId = "rabbitmq.com.v1beta1.RabbitmqCluster";
const schema = {
    "type": "object",
    "properties": {
        "apiVersion": {
            "type": "string",
            "enum": [
                "rabbitmq.com/v1beta1"
            ]
        },
        "kind": {
            "type": "string",
            "enum": [
                "RabbitmqCluster"
            ]
        },
        "metadata": {
            "oneOf": [
                {
                    "$ref": "io.k8s.apimachinery.pkg.apis.meta.v1.ObjectMeta#"
                },
                {
                    "type": "null"
                }
            ]
        },
        "spec": {
            "properties": {
                "affinity": {
                    "properties": {
                        "nodeAffinity": {
                            "properties": {
                                "preferredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "preference": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchFields": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object"
                                            },
                                            "weight": {
                                                "format": "int32",
                                                "type": "integer"
                                            }
                                        },
                                        "required": [
                                            "preference",
                                            "weight"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "requiredDuringSchedulingIgnoredDuringExecution": {
                                    "properties": {
                                        "nodeSelectorTerms": {
                                            "items": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchFields": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object"
                                            },
                                            "type": "array"
                                        }
                                    },
                                    "required": [
                                        "nodeSelectorTerms"
                                    ],
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "podAffinity": {
                            "properties": {
                                "preferredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "podAffinityTerm": {
                                                "properties": {
                                                    "labelSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "matchLabelKeys": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "mismatchLabelKeys": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "namespaceSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "namespaces": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "topologyKey": {
                                                        "type": "string"
                                                    }
                                                },
                                                "required": [
                                                    "topologyKey"
                                                ],
                                                "type": "object"
                                            },
                                            "weight": {
                                                "format": "int32",
                                                "type": "integer"
                                            }
                                        },
                                        "required": [
                                            "podAffinityTerm",
                                            "weight"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "requiredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "labelSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "matchLabelKeys": {
                                                "items": {
                                                    "type": "string"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "mismatchLabelKeys": {
                                                "items": {
                                                    "type": "string"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "namespaceSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "namespaces": {
                                                "items": {
                                                    "type": "string"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "topologyKey": {
                                                "type": "string"
                                            }
                                        },
                                        "required": [
                                            "topologyKey"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "podAntiAffinity": {
                            "properties": {
                                "preferredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "podAffinityTerm": {
                                                "properties": {
                                                    "labelSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "matchLabelKeys": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "mismatchLabelKeys": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "namespaceSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "namespaces": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "topologyKey": {
                                                        "type": "string"
                                                    }
                                                },
                                                "required": [
                                                    "topologyKey"
                                                ],
                                                "type": "object"
                                            },
                                            "weight": {
                                                "format": "int32",
                                                "type": "integer"
                                            }
                                        },
                                        "required": [
                                            "podAffinityTerm",
                                            "weight"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "requiredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "labelSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "matchLabelKeys": {
                                                "items": {
                                                    "type": "string"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "mismatchLabelKeys": {
                                                "items": {
                                                    "type": "string"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "namespaceSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "namespaces": {
                                                "items": {
                                                    "type": "string"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "topologyKey": {
                                                "type": "string"
                                            }
                                        },
                                        "required": [
                                            "topologyKey"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "delayStartSeconds": {
                    "default": 30,
                    "format": "int32",
                    "type": "integer",
                    "minimum": 0,
                    "nullable": true
                },
                "image": {
                    "type": "string",
                    "nullable": true
                },
                "imagePullSecrets": {
                    "items": {
                        "properties": {
                            "name": {
                                "type": "string",
                                "nullable": true
                            }
                        },
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                },
                "override": {
                    "properties": {
                        "service": {
                            "properties": {
                                "metadata": {
                                    "properties": {
                                        "annotations": {
                                            "additionalProperties": {
                                                "type": "string"
                                            },
                                            "type": "object",
                                            "properties": {},
                                            "nullable": true
                                        },
                                        "labels": {
                                            "additionalProperties": {
                                                "type": "string"
                                            },
                                            "type": "object",
                                            "properties": {},
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "spec": {
                                    "properties": {
                                        "allocateLoadBalancerNodePorts": {
                                            "type": "boolean",
                                            "nullable": true
                                        },
                                        "clusterIP": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "clusterIPs": {
                                            "items": {
                                                "type": "string"
                                            },
                                            "type": "array",
                                            "nullable": true
                                        },
                                        "externalIPs": {
                                            "items": {
                                                "type": "string"
                                            },
                                            "type": "array",
                                            "nullable": true
                                        },
                                        "externalName": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "externalTrafficPolicy": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "healthCheckNodePort": {
                                            "format": "int32",
                                            "type": "integer",
                                            "nullable": true
                                        },
                                        "internalTrafficPolicy": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "ipFamilies": {
                                            "items": {
                                                "type": "string"
                                            },
                                            "type": "array",
                                            "nullable": true
                                        },
                                        "ipFamilyPolicy": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "loadBalancerClass": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "loadBalancerIP": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "loadBalancerSourceRanges": {
                                            "items": {
                                                "type": "string"
                                            },
                                            "type": "array",
                                            "nullable": true
                                        },
                                        "ports": {
                                            "items": {
                                                "properties": {
                                                    "appProtocol": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "name": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "nodePort": {
                                                        "format": "int32",
                                                        "type": "integer",
                                                        "nullable": true
                                                    },
                                                    "port": {
                                                        "format": "int32",
                                                        "type": "integer"
                                                    },
                                                    "protocol": {
                                                        "default": "TCP",
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "targetPort": {
                                                        "oneOf": [
                                                            {
                                                                "anyOf": [
                                                                    {
                                                                        "type": "integer"
                                                                    },
                                                                    {
                                                                        "type": "string"
                                                                    }
                                                                ]
                                                            },
                                                            {
                                                                "type": "null"
                                                            }
                                                        ]
                                                    }
                                                },
                                                "required": [
                                                    "port"
                                                ],
                                                "type": "object"
                                            },
                                            "type": "array",
                                            "nullable": true
                                        },
                                        "publishNotReadyAddresses": {
                                            "type": "boolean",
                                            "nullable": true
                                        },
                                        "selector": {
                                            "additionalProperties": {
                                                "type": "string"
                                            },
                                            "type": "object",
                                            "properties": {},
                                            "nullable": true
                                        },
                                        "sessionAffinity": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "sessionAffinityConfig": {
                                            "properties": {
                                                "clientIP": {
                                                    "properties": {
                                                        "timeoutSeconds": {
                                                            "format": "int32",
                                                            "type": "integer",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        },
                                        "type": {
                                            "type": "string",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "statefulSet": {
                            "properties": {
                                "metadata": {
                                    "properties": {
                                        "annotations": {
                                            "additionalProperties": {
                                                "type": "string"
                                            },
                                            "type": "object",
                                            "properties": {},
                                            "nullable": true
                                        },
                                        "labels": {
                                            "additionalProperties": {
                                                "type": "string"
                                            },
                                            "type": "object",
                                            "properties": {},
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "spec": {
                                    "properties": {
                                        "minReadySeconds": {
                                            "format": "int32",
                                            "type": "integer",
                                            "nullable": true
                                        },
                                        "persistentVolumeClaimRetentionPolicy": {
                                            "properties": {
                                                "whenDeleted": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "whenScaled": {
                                                    "type": "string",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        },
                                        "podManagementPolicy": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "replicas": {
                                            "format": "int32",
                                            "type": "integer",
                                            "nullable": true
                                        },
                                        "selector": {
                                            "properties": {
                                                "matchExpressions": {
                                                    "items": {
                                                        "properties": {
                                                            "key": {
                                                                "type": "string"
                                                            },
                                                            "operator": {
                                                                "type": "string"
                                                            },
                                                            "values": {
                                                                "items": {
                                                                    "type": "string"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "key",
                                                            "operator"
                                                        ],
                                                        "type": "object"
                                                    },
                                                    "type": "array",
                                                    "nullable": true
                                                },
                                                "matchLabels": {
                                                    "additionalProperties": {
                                                        "type": "string"
                                                    },
                                                    "type": "object",
                                                    "properties": {},
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        },
                                        "serviceName": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "template": {
                                            "properties": {
                                                "metadata": {
                                                    "properties": {
                                                        "annotations": {
                                                            "additionalProperties": {
                                                                "type": "string"
                                                            },
                                                            "type": "object",
                                                            "properties": {},
                                                            "nullable": true
                                                        },
                                                        "labels": {
                                                            "additionalProperties": {
                                                                "type": "string"
                                                            },
                                                            "type": "object",
                                                            "properties": {},
                                                            "nullable": true
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "namespace": {
                                                            "type": "string",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "type": "object",
                                                    "nullable": true
                                                },
                                                "spec": {
                                                    "properties": {
                                                        "activeDeadlineSeconds": {
                                                            "format": "int64",
                                                            "type": "integer",
                                                            "nullable": true
                                                        },
                                                        "affinity": {
                                                            "properties": {
                                                                "nodeAffinity": {
                                                                    "properties": {
                                                                        "preferredDuringSchedulingIgnoredDuringExecution": {
                                                                            "items": {
                                                                                "properties": {
                                                                                    "preference": {
                                                                                        "properties": {
                                                                                            "matchExpressions": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "key": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "operator": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "values": {
                                                                                                            "items": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "type": "array",
                                                                                                            "nullable": true
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "key",
                                                                                                        "operator"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "matchFields": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "key": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "operator": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "values": {
                                                                                                            "items": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "type": "array",
                                                                                                            "nullable": true
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "key",
                                                                                                        "operator"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object"
                                                                                    },
                                                                                    "weight": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "preference",
                                                                                    "weight"
                                                                                ],
                                                                                "type": "object"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        },
                                                                        "requiredDuringSchedulingIgnoredDuringExecution": {
                                                                            "properties": {
                                                                                "nodeSelectorTerms": {
                                                                                    "items": {
                                                                                        "properties": {
                                                                                            "matchExpressions": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "key": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "operator": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "values": {
                                                                                                            "items": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "type": "array",
                                                                                                            "nullable": true
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "key",
                                                                                                        "operator"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "matchFields": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "key": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "operator": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "values": {
                                                                                                            "items": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "type": "array",
                                                                                                            "nullable": true
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "key",
                                                                                                        "operator"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object"
                                                                                    },
                                                                                    "type": "array"
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "nodeSelectorTerms"
                                                                            ],
                                                                            "type": "object",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "type": "object",
                                                                    "nullable": true
                                                                },
                                                                "podAffinity": {
                                                                    "properties": {
                                                                        "preferredDuringSchedulingIgnoredDuringExecution": {
                                                                            "items": {
                                                                                "properties": {
                                                                                    "podAffinityTerm": {
                                                                                        "properties": {
                                                                                            "labelSelector": {
                                                                                                "properties": {
                                                                                                    "matchExpressions": {
                                                                                                        "items": {
                                                                                                            "properties": {
                                                                                                                "key": {
                                                                                                                    "type": "string"
                                                                                                                },
                                                                                                                "operator": {
                                                                                                                    "type": "string"
                                                                                                                },
                                                                                                                "values": {
                                                                                                                    "items": {
                                                                                                                        "type": "string"
                                                                                                                    },
                                                                                                                    "type": "array",
                                                                                                                    "nullable": true
                                                                                                                }
                                                                                                            },
                                                                                                            "required": [
                                                                                                                "key",
                                                                                                                "operator"
                                                                                                            ],
                                                                                                            "type": "object"
                                                                                                        },
                                                                                                        "type": "array",
                                                                                                        "nullable": true
                                                                                                    },
                                                                                                    "matchLabels": {
                                                                                                        "additionalProperties": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "type": "object",
                                                                                                        "properties": {},
                                                                                                        "nullable": true
                                                                                                    }
                                                                                                },
                                                                                                "type": "object",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "matchLabelKeys": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "mismatchLabelKeys": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "namespaceSelector": {
                                                                                                "properties": {
                                                                                                    "matchExpressions": {
                                                                                                        "items": {
                                                                                                            "properties": {
                                                                                                                "key": {
                                                                                                                    "type": "string"
                                                                                                                },
                                                                                                                "operator": {
                                                                                                                    "type": "string"
                                                                                                                },
                                                                                                                "values": {
                                                                                                                    "items": {
                                                                                                                        "type": "string"
                                                                                                                    },
                                                                                                                    "type": "array",
                                                                                                                    "nullable": true
                                                                                                                }
                                                                                                            },
                                                                                                            "required": [
                                                                                                                "key",
                                                                                                                "operator"
                                                                                                            ],
                                                                                                            "type": "object"
                                                                                                        },
                                                                                                        "type": "array",
                                                                                                        "nullable": true
                                                                                                    },
                                                                                                    "matchLabels": {
                                                                                                        "additionalProperties": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "type": "object",
                                                                                                        "properties": {},
                                                                                                        "nullable": true
                                                                                                    }
                                                                                                },
                                                                                                "type": "object",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "namespaces": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "topologyKey": {
                                                                                                "type": "string"
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "topologyKey"
                                                                                        ],
                                                                                        "type": "object"
                                                                                    },
                                                                                    "weight": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "podAffinityTerm",
                                                                                    "weight"
                                                                                ],
                                                                                "type": "object"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        },
                                                                        "requiredDuringSchedulingIgnoredDuringExecution": {
                                                                            "items": {
                                                                                "properties": {
                                                                                    "labelSelector": {
                                                                                        "properties": {
                                                                                            "matchExpressions": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "key": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "operator": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "values": {
                                                                                                            "items": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "type": "array",
                                                                                                            "nullable": true
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "key",
                                                                                                        "operator"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "matchLabels": {
                                                                                                "additionalProperties": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "object",
                                                                                                "properties": {},
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "matchLabelKeys": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "mismatchLabelKeys": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "namespaceSelector": {
                                                                                        "properties": {
                                                                                            "matchExpressions": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "key": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "operator": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "values": {
                                                                                                            "items": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "type": "array",
                                                                                                            "nullable": true
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "key",
                                                                                                        "operator"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "matchLabels": {
                                                                                                "additionalProperties": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "object",
                                                                                                "properties": {},
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "namespaces": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "topologyKey": {
                                                                                        "type": "string"
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "topologyKey"
                                                                                ],
                                                                                "type": "object"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "type": "object",
                                                                    "nullable": true
                                                                },
                                                                "podAntiAffinity": {
                                                                    "properties": {
                                                                        "preferredDuringSchedulingIgnoredDuringExecution": {
                                                                            "items": {
                                                                                "properties": {
                                                                                    "podAffinityTerm": {
                                                                                        "properties": {
                                                                                            "labelSelector": {
                                                                                                "properties": {
                                                                                                    "matchExpressions": {
                                                                                                        "items": {
                                                                                                            "properties": {
                                                                                                                "key": {
                                                                                                                    "type": "string"
                                                                                                                },
                                                                                                                "operator": {
                                                                                                                    "type": "string"
                                                                                                                },
                                                                                                                "values": {
                                                                                                                    "items": {
                                                                                                                        "type": "string"
                                                                                                                    },
                                                                                                                    "type": "array",
                                                                                                                    "nullable": true
                                                                                                                }
                                                                                                            },
                                                                                                            "required": [
                                                                                                                "key",
                                                                                                                "operator"
                                                                                                            ],
                                                                                                            "type": "object"
                                                                                                        },
                                                                                                        "type": "array",
                                                                                                        "nullable": true
                                                                                                    },
                                                                                                    "matchLabels": {
                                                                                                        "additionalProperties": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "type": "object",
                                                                                                        "properties": {},
                                                                                                        "nullable": true
                                                                                                    }
                                                                                                },
                                                                                                "type": "object",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "matchLabelKeys": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "mismatchLabelKeys": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "namespaceSelector": {
                                                                                                "properties": {
                                                                                                    "matchExpressions": {
                                                                                                        "items": {
                                                                                                            "properties": {
                                                                                                                "key": {
                                                                                                                    "type": "string"
                                                                                                                },
                                                                                                                "operator": {
                                                                                                                    "type": "string"
                                                                                                                },
                                                                                                                "values": {
                                                                                                                    "items": {
                                                                                                                        "type": "string"
                                                                                                                    },
                                                                                                                    "type": "array",
                                                                                                                    "nullable": true
                                                                                                                }
                                                                                                            },
                                                                                                            "required": [
                                                                                                                "key",
                                                                                                                "operator"
                                                                                                            ],
                                                                                                            "type": "object"
                                                                                                        },
                                                                                                        "type": "array",
                                                                                                        "nullable": true
                                                                                                    },
                                                                                                    "matchLabels": {
                                                                                                        "additionalProperties": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "type": "object",
                                                                                                        "properties": {},
                                                                                                        "nullable": true
                                                                                                    }
                                                                                                },
                                                                                                "type": "object",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "namespaces": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "topologyKey": {
                                                                                                "type": "string"
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "topologyKey"
                                                                                        ],
                                                                                        "type": "object"
                                                                                    },
                                                                                    "weight": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "podAffinityTerm",
                                                                                    "weight"
                                                                                ],
                                                                                "type": "object"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        },
                                                                        "requiredDuringSchedulingIgnoredDuringExecution": {
                                                                            "items": {
                                                                                "properties": {
                                                                                    "labelSelector": {
                                                                                        "properties": {
                                                                                            "matchExpressions": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "key": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "operator": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "values": {
                                                                                                            "items": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "type": "array",
                                                                                                            "nullable": true
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "key",
                                                                                                        "operator"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "matchLabels": {
                                                                                                "additionalProperties": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "object",
                                                                                                "properties": {},
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "matchLabelKeys": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "mismatchLabelKeys": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "namespaceSelector": {
                                                                                        "properties": {
                                                                                            "matchExpressions": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "key": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "operator": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "values": {
                                                                                                            "items": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "type": "array",
                                                                                                            "nullable": true
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "key",
                                                                                                        "operator"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "matchLabels": {
                                                                                                "additionalProperties": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "object",
                                                                                                "properties": {},
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "namespaces": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "topologyKey": {
                                                                                        "type": "string"
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "topologyKey"
                                                                                ],
                                                                                "type": "object"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "type": "object",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "type": "object",
                                                            "nullable": true
                                                        },
                                                        "automountServiceAccountToken": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        },
                                                        "containers": {
                                                            "items": {
                                                                "properties": {
                                                                    "args": {
                                                                        "items": {
                                                                            "type": "string"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "command": {
                                                                        "items": {
                                                                            "type": "string"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "env": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "name": {
                                                                                    "type": "string"
                                                                                },
                                                                                "value": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "valueFrom": {
                                                                                    "properties": {
                                                                                        "configMapKeyRef": {
                                                                                            "properties": {
                                                                                                "key": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "name": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "optional": {
                                                                                                    "type": "boolean",
                                                                                                    "nullable": true
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "key"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "fieldRef": {
                                                                                            "properties": {
                                                                                                "apiVersion": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "fieldPath": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "fieldPath"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "resourceFieldRef": {
                                                                                            "properties": {
                                                                                                "containerName": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "divisor": {
                                                                                                    "oneOf": [
                                                                                                        {
                                                                                                            "anyOf": [
                                                                                                                {
                                                                                                                    "type": "integer"
                                                                                                                },
                                                                                                                {
                                                                                                                    "type": "string"
                                                                                                                }
                                                                                                            ],
                                                                                                            "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                                        },
                                                                                                        {
                                                                                                            "type": "null"
                                                                                                        }
                                                                                                    ]
                                                                                                },
                                                                                                "resource": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "resource"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "secretKeyRef": {
                                                                                            "properties": {
                                                                                                "key": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "name": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "optional": {
                                                                                                    "type": "boolean",
                                                                                                    "nullable": true
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "key"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "type": "object",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "name"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "envFrom": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "configMapRef": {
                                                                                    "properties": {
                                                                                        "name": {
                                                                                            "type": "string",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "optional": {
                                                                                            "type": "boolean",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "type": "object",
                                                                                    "nullable": true
                                                                                },
                                                                                "prefix": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "secretRef": {
                                                                                    "properties": {
                                                                                        "name": {
                                                                                            "type": "string",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "optional": {
                                                                                            "type": "boolean",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "type": "object",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "image": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "imagePullPolicy": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "lifecycle": {
                                                                        "properties": {
                                                                            "postStart": {
                                                                                "properties": {
                                                                                    "exec": {
                                                                                        "properties": {
                                                                                            "command": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpGet": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "httpHeaders": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "name": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "value": {
                                                                                                            "type": "string"
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "name",
                                                                                                        "value"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "path": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            },
                                                                                            "scheme": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "sleep": {
                                                                                        "properties": {
                                                                                            "seconds": {
                                                                                                "format": "int64",
                                                                                                "type": "integer"
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "seconds"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "tcpSocket": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "preStop": {
                                                                                "properties": {
                                                                                    "exec": {
                                                                                        "properties": {
                                                                                            "command": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpGet": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "httpHeaders": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "name": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "value": {
                                                                                                            "type": "string"
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "name",
                                                                                                        "value"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "path": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            },
                                                                                            "scheme": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "sleep": {
                                                                                        "properties": {
                                                                                            "seconds": {
                                                                                                "format": "int64",
                                                                                                "type": "integer"
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "seconds"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "tcpSocket": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "livenessProbe": {
                                                                        "properties": {
                                                                            "exec": {
                                                                                "properties": {
                                                                                    "command": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "failureThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "grpc": {
                                                                                "properties": {
                                                                                    "port": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    },
                                                                                    "service": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "httpGet": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpHeaders": {
                                                                                        "items": {
                                                                                            "properties": {
                                                                                                "name": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "value": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "name",
                                                                                                "value"
                                                                                            ],
                                                                                            "type": "object"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "path": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    },
                                                                                    "scheme": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "initialDelaySeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "periodSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "successThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "tcpSocket": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "terminationGracePeriodSeconds": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "timeoutSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "name": {
                                                                        "type": "string"
                                                                    },
                                                                    "ports": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "containerPort": {
                                                                                    "format": "int32",
                                                                                    "type": "integer"
                                                                                },
                                                                                "hostIP": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "hostPort": {
                                                                                    "format": "int32",
                                                                                    "type": "integer",
                                                                                    "nullable": true
                                                                                },
                                                                                "name": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "protocol": {
                                                                                    "default": "TCP",
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "containerPort"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "readinessProbe": {
                                                                        "properties": {
                                                                            "exec": {
                                                                                "properties": {
                                                                                    "command": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "failureThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "grpc": {
                                                                                "properties": {
                                                                                    "port": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    },
                                                                                    "service": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "httpGet": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpHeaders": {
                                                                                        "items": {
                                                                                            "properties": {
                                                                                                "name": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "value": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "name",
                                                                                                "value"
                                                                                            ],
                                                                                            "type": "object"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "path": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    },
                                                                                    "scheme": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "initialDelaySeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "periodSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "successThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "tcpSocket": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "terminationGracePeriodSeconds": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "timeoutSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "resizePolicy": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "resourceName": {
                                                                                    "type": "string"
                                                                                },
                                                                                "restartPolicy": {
                                                                                    "type": "string"
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "resourceName",
                                                                                "restartPolicy"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "resources": {
                                                                        "properties": {
                                                                            "claims": {
                                                                                "items": {
                                                                                    "properties": {
                                                                                        "name": {
                                                                                            "type": "string"
                                                                                        }
                                                                                    },
                                                                                    "required": [
                                                                                        "name"
                                                                                    ],
                                                                                    "type": "object"
                                                                                },
                                                                                "type": "array",
                                                                                "nullable": true
                                                                            },
                                                                            "limits": {
                                                                                "additionalProperties": {
                                                                                    "anyOf": [
                                                                                        {
                                                                                            "type": "integer"
                                                                                        },
                                                                                        {
                                                                                            "type": "string"
                                                                                        }
                                                                                    ],
                                                                                    "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                },
                                                                                "type": "object",
                                                                                "properties": {},
                                                                                "nullable": true
                                                                            },
                                                                            "requests": {
                                                                                "additionalProperties": {
                                                                                    "anyOf": [
                                                                                        {
                                                                                            "type": "integer"
                                                                                        },
                                                                                        {
                                                                                            "type": "string"
                                                                                        }
                                                                                    ],
                                                                                    "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                },
                                                                                "type": "object",
                                                                                "properties": {},
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "restartPolicy": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "securityContext": {
                                                                        "properties": {
                                                                            "allowPrivilegeEscalation": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "capabilities": {
                                                                                "properties": {
                                                                                    "add": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "drop": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "privileged": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "procMount": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnlyRootFilesystem": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "runAsGroup": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "runAsNonRoot": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "runAsUser": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "seLinuxOptions": {
                                                                                "properties": {
                                                                                    "level": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "role": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "type": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "user": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "seccompProfile": {
                                                                                "properties": {
                                                                                    "localhostProfile": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "type": {
                                                                                        "type": "string"
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "type"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "windowsOptions": {
                                                                                "properties": {
                                                                                    "gmsaCredentialSpec": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "gmsaCredentialSpecName": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "hostProcess": {
                                                                                        "type": "boolean",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "runAsUserName": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "startupProbe": {
                                                                        "properties": {
                                                                            "exec": {
                                                                                "properties": {
                                                                                    "command": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "failureThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "grpc": {
                                                                                "properties": {
                                                                                    "port": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    },
                                                                                    "service": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "httpGet": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpHeaders": {
                                                                                        "items": {
                                                                                            "properties": {
                                                                                                "name": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "value": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "name",
                                                                                                "value"
                                                                                            ],
                                                                                            "type": "object"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "path": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    },
                                                                                    "scheme": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "initialDelaySeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "periodSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "successThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "tcpSocket": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "terminationGracePeriodSeconds": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "timeoutSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "stdin": {
                                                                        "type": "boolean",
                                                                        "nullable": true
                                                                    },
                                                                    "stdinOnce": {
                                                                        "type": "boolean",
                                                                        "nullable": true
                                                                    },
                                                                    "terminationMessagePath": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "terminationMessagePolicy": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "tty": {
                                                                        "type": "boolean",
                                                                        "nullable": true
                                                                    },
                                                                    "volumeDevices": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "devicePath": {
                                                                                    "type": "string"
                                                                                },
                                                                                "name": {
                                                                                    "type": "string"
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "devicePath",
                                                                                "name"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "volumeMounts": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "mountPath": {
                                                                                    "type": "string"
                                                                                },
                                                                                "mountPropagation": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "name": {
                                                                                    "type": "string"
                                                                                },
                                                                                "readOnly": {
                                                                                    "type": "boolean",
                                                                                    "nullable": true
                                                                                },
                                                                                "subPath": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "subPathExpr": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "mountPath",
                                                                                "name"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "workingDir": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "required": [
                                                                    "name"
                                                                ],
                                                                "type": "object"
                                                            },
                                                            "type": "array"
                                                        },
                                                        "dnsConfig": {
                                                            "properties": {
                                                                "nameservers": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                },
                                                                "options": {
                                                                    "items": {
                                                                        "properties": {
                                                                            "name": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "value": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                },
                                                                "searches": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "type": "object",
                                                            "nullable": true
                                                        },
                                                        "dnsPolicy": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "enableServiceLinks": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        },
                                                        "ephemeralContainers": {
                                                            "items": {
                                                                "properties": {
                                                                    "args": {
                                                                        "items": {
                                                                            "type": "string"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "command": {
                                                                        "items": {
                                                                            "type": "string"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "env": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "name": {
                                                                                    "type": "string"
                                                                                },
                                                                                "value": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "valueFrom": {
                                                                                    "properties": {
                                                                                        "configMapKeyRef": {
                                                                                            "properties": {
                                                                                                "key": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "name": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "optional": {
                                                                                                    "type": "boolean",
                                                                                                    "nullable": true
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "key"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "fieldRef": {
                                                                                            "properties": {
                                                                                                "apiVersion": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "fieldPath": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "fieldPath"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "resourceFieldRef": {
                                                                                            "properties": {
                                                                                                "containerName": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "divisor": {
                                                                                                    "oneOf": [
                                                                                                        {
                                                                                                            "anyOf": [
                                                                                                                {
                                                                                                                    "type": "integer"
                                                                                                                },
                                                                                                                {
                                                                                                                    "type": "string"
                                                                                                                }
                                                                                                            ],
                                                                                                            "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                                        },
                                                                                                        {
                                                                                                            "type": "null"
                                                                                                        }
                                                                                                    ]
                                                                                                },
                                                                                                "resource": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "resource"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "secretKeyRef": {
                                                                                            "properties": {
                                                                                                "key": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "name": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "optional": {
                                                                                                    "type": "boolean",
                                                                                                    "nullable": true
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "key"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "type": "object",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "name"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "envFrom": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "configMapRef": {
                                                                                    "properties": {
                                                                                        "name": {
                                                                                            "type": "string",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "optional": {
                                                                                            "type": "boolean",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "type": "object",
                                                                                    "nullable": true
                                                                                },
                                                                                "prefix": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "secretRef": {
                                                                                    "properties": {
                                                                                        "name": {
                                                                                            "type": "string",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "optional": {
                                                                                            "type": "boolean",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "type": "object",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "image": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "imagePullPolicy": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "lifecycle": {
                                                                        "properties": {
                                                                            "postStart": {
                                                                                "properties": {
                                                                                    "exec": {
                                                                                        "properties": {
                                                                                            "command": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpGet": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "httpHeaders": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "name": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "value": {
                                                                                                            "type": "string"
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "name",
                                                                                                        "value"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "path": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            },
                                                                                            "scheme": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "sleep": {
                                                                                        "properties": {
                                                                                            "seconds": {
                                                                                                "format": "int64",
                                                                                                "type": "integer"
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "seconds"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "tcpSocket": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "preStop": {
                                                                                "properties": {
                                                                                    "exec": {
                                                                                        "properties": {
                                                                                            "command": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpGet": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "httpHeaders": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "name": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "value": {
                                                                                                            "type": "string"
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "name",
                                                                                                        "value"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "path": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            },
                                                                                            "scheme": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "sleep": {
                                                                                        "properties": {
                                                                                            "seconds": {
                                                                                                "format": "int64",
                                                                                                "type": "integer"
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "seconds"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "tcpSocket": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "livenessProbe": {
                                                                        "properties": {
                                                                            "exec": {
                                                                                "properties": {
                                                                                    "command": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "failureThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "grpc": {
                                                                                "properties": {
                                                                                    "port": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    },
                                                                                    "service": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "httpGet": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpHeaders": {
                                                                                        "items": {
                                                                                            "properties": {
                                                                                                "name": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "value": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "name",
                                                                                                "value"
                                                                                            ],
                                                                                            "type": "object"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "path": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    },
                                                                                    "scheme": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "initialDelaySeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "periodSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "successThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "tcpSocket": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "terminationGracePeriodSeconds": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "timeoutSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "name": {
                                                                        "type": "string"
                                                                    },
                                                                    "ports": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "containerPort": {
                                                                                    "format": "int32",
                                                                                    "type": "integer"
                                                                                },
                                                                                "hostIP": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "hostPort": {
                                                                                    "format": "int32",
                                                                                    "type": "integer",
                                                                                    "nullable": true
                                                                                },
                                                                                "name": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "protocol": {
                                                                                    "default": "TCP",
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "containerPort"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "readinessProbe": {
                                                                        "properties": {
                                                                            "exec": {
                                                                                "properties": {
                                                                                    "command": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "failureThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "grpc": {
                                                                                "properties": {
                                                                                    "port": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    },
                                                                                    "service": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "httpGet": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpHeaders": {
                                                                                        "items": {
                                                                                            "properties": {
                                                                                                "name": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "value": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "name",
                                                                                                "value"
                                                                                            ],
                                                                                            "type": "object"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "path": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    },
                                                                                    "scheme": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "initialDelaySeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "periodSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "successThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "tcpSocket": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "terminationGracePeriodSeconds": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "timeoutSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "resizePolicy": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "resourceName": {
                                                                                    "type": "string"
                                                                                },
                                                                                "restartPolicy": {
                                                                                    "type": "string"
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "resourceName",
                                                                                "restartPolicy"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "resources": {
                                                                        "properties": {
                                                                            "claims": {
                                                                                "items": {
                                                                                    "properties": {
                                                                                        "name": {
                                                                                            "type": "string"
                                                                                        }
                                                                                    },
                                                                                    "required": [
                                                                                        "name"
                                                                                    ],
                                                                                    "type": "object"
                                                                                },
                                                                                "type": "array",
                                                                                "nullable": true
                                                                            },
                                                                            "limits": {
                                                                                "additionalProperties": {
                                                                                    "anyOf": [
                                                                                        {
                                                                                            "type": "integer"
                                                                                        },
                                                                                        {
                                                                                            "type": "string"
                                                                                        }
                                                                                    ],
                                                                                    "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                },
                                                                                "type": "object",
                                                                                "properties": {},
                                                                                "nullable": true
                                                                            },
                                                                            "requests": {
                                                                                "additionalProperties": {
                                                                                    "anyOf": [
                                                                                        {
                                                                                            "type": "integer"
                                                                                        },
                                                                                        {
                                                                                            "type": "string"
                                                                                        }
                                                                                    ],
                                                                                    "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                },
                                                                                "type": "object",
                                                                                "properties": {},
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "restartPolicy": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "securityContext": {
                                                                        "properties": {
                                                                            "allowPrivilegeEscalation": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "capabilities": {
                                                                                "properties": {
                                                                                    "add": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "drop": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "privileged": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "procMount": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnlyRootFilesystem": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "runAsGroup": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "runAsNonRoot": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "runAsUser": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "seLinuxOptions": {
                                                                                "properties": {
                                                                                    "level": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "role": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "type": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "user": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "seccompProfile": {
                                                                                "properties": {
                                                                                    "localhostProfile": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "type": {
                                                                                        "type": "string"
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "type"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "windowsOptions": {
                                                                                "properties": {
                                                                                    "gmsaCredentialSpec": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "gmsaCredentialSpecName": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "hostProcess": {
                                                                                        "type": "boolean",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "runAsUserName": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "startupProbe": {
                                                                        "properties": {
                                                                            "exec": {
                                                                                "properties": {
                                                                                    "command": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "failureThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "grpc": {
                                                                                "properties": {
                                                                                    "port": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    },
                                                                                    "service": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "httpGet": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpHeaders": {
                                                                                        "items": {
                                                                                            "properties": {
                                                                                                "name": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "value": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "name",
                                                                                                "value"
                                                                                            ],
                                                                                            "type": "object"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "path": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    },
                                                                                    "scheme": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "initialDelaySeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "periodSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "successThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "tcpSocket": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "terminationGracePeriodSeconds": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "timeoutSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "stdin": {
                                                                        "type": "boolean",
                                                                        "nullable": true
                                                                    },
                                                                    "stdinOnce": {
                                                                        "type": "boolean",
                                                                        "nullable": true
                                                                    },
                                                                    "targetContainerName": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "terminationMessagePath": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "terminationMessagePolicy": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "tty": {
                                                                        "type": "boolean",
                                                                        "nullable": true
                                                                    },
                                                                    "volumeDevices": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "devicePath": {
                                                                                    "type": "string"
                                                                                },
                                                                                "name": {
                                                                                    "type": "string"
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "devicePath",
                                                                                "name"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "volumeMounts": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "mountPath": {
                                                                                    "type": "string"
                                                                                },
                                                                                "mountPropagation": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "name": {
                                                                                    "type": "string"
                                                                                },
                                                                                "readOnly": {
                                                                                    "type": "boolean",
                                                                                    "nullable": true
                                                                                },
                                                                                "subPath": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "subPathExpr": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "mountPath",
                                                                                "name"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "workingDir": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "required": [
                                                                    "name"
                                                                ],
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        },
                                                        "hostAliases": {
                                                            "items": {
                                                                "properties": {
                                                                    "hostnames": {
                                                                        "items": {
                                                                            "type": "string"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "ip": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        },
                                                        "hostIPC": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        },
                                                        "hostNetwork": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        },
                                                        "hostPID": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        },
                                                        "hostUsers": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        },
                                                        "hostname": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "imagePullSecrets": {
                                                            "items": {
                                                                "properties": {
                                                                    "name": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        },
                                                        "initContainers": {
                                                            "items": {
                                                                "properties": {
                                                                    "args": {
                                                                        "items": {
                                                                            "type": "string"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "command": {
                                                                        "items": {
                                                                            "type": "string"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "env": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "name": {
                                                                                    "type": "string"
                                                                                },
                                                                                "value": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "valueFrom": {
                                                                                    "properties": {
                                                                                        "configMapKeyRef": {
                                                                                            "properties": {
                                                                                                "key": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "name": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "optional": {
                                                                                                    "type": "boolean",
                                                                                                    "nullable": true
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "key"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "fieldRef": {
                                                                                            "properties": {
                                                                                                "apiVersion": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "fieldPath": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "fieldPath"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "resourceFieldRef": {
                                                                                            "properties": {
                                                                                                "containerName": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "divisor": {
                                                                                                    "oneOf": [
                                                                                                        {
                                                                                                            "anyOf": [
                                                                                                                {
                                                                                                                    "type": "integer"
                                                                                                                },
                                                                                                                {
                                                                                                                    "type": "string"
                                                                                                                }
                                                                                                            ],
                                                                                                            "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                                        },
                                                                                                        {
                                                                                                            "type": "null"
                                                                                                        }
                                                                                                    ]
                                                                                                },
                                                                                                "resource": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "resource"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "secretKeyRef": {
                                                                                            "properties": {
                                                                                                "key": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "name": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "optional": {
                                                                                                    "type": "boolean",
                                                                                                    "nullable": true
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "key"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "type": "object",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "name"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "envFrom": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "configMapRef": {
                                                                                    "properties": {
                                                                                        "name": {
                                                                                            "type": "string",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "optional": {
                                                                                            "type": "boolean",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "type": "object",
                                                                                    "nullable": true
                                                                                },
                                                                                "prefix": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "secretRef": {
                                                                                    "properties": {
                                                                                        "name": {
                                                                                            "type": "string",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "optional": {
                                                                                            "type": "boolean",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "type": "object",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "image": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "imagePullPolicy": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "lifecycle": {
                                                                        "properties": {
                                                                            "postStart": {
                                                                                "properties": {
                                                                                    "exec": {
                                                                                        "properties": {
                                                                                            "command": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpGet": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "httpHeaders": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "name": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "value": {
                                                                                                            "type": "string"
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "name",
                                                                                                        "value"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "path": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            },
                                                                                            "scheme": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "sleep": {
                                                                                        "properties": {
                                                                                            "seconds": {
                                                                                                "format": "int64",
                                                                                                "type": "integer"
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "seconds"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "tcpSocket": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "preStop": {
                                                                                "properties": {
                                                                                    "exec": {
                                                                                        "properties": {
                                                                                            "command": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpGet": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "httpHeaders": {
                                                                                                "items": {
                                                                                                    "properties": {
                                                                                                        "name": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "value": {
                                                                                                            "type": "string"
                                                                                                        }
                                                                                                    },
                                                                                                    "required": [
                                                                                                        "name",
                                                                                                        "value"
                                                                                                    ],
                                                                                                    "type": "object"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "path": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            },
                                                                                            "scheme": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "sleep": {
                                                                                        "properties": {
                                                                                            "seconds": {
                                                                                                "format": "int64",
                                                                                                "type": "integer"
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "seconds"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "tcpSocket": {
                                                                                        "properties": {
                                                                                            "host": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "port": {
                                                                                                "anyOf": [
                                                                                                    {
                                                                                                        "type": "integer"
                                                                                                    },
                                                                                                    {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                ]
                                                                                            }
                                                                                        },
                                                                                        "required": [
                                                                                            "port"
                                                                                        ],
                                                                                        "type": "object",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "livenessProbe": {
                                                                        "properties": {
                                                                            "exec": {
                                                                                "properties": {
                                                                                    "command": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "failureThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "grpc": {
                                                                                "properties": {
                                                                                    "port": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    },
                                                                                    "service": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "httpGet": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpHeaders": {
                                                                                        "items": {
                                                                                            "properties": {
                                                                                                "name": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "value": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "name",
                                                                                                "value"
                                                                                            ],
                                                                                            "type": "object"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "path": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    },
                                                                                    "scheme": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "initialDelaySeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "periodSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "successThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "tcpSocket": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "terminationGracePeriodSeconds": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "timeoutSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "name": {
                                                                        "type": "string"
                                                                    },
                                                                    "ports": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "containerPort": {
                                                                                    "format": "int32",
                                                                                    "type": "integer"
                                                                                },
                                                                                "hostIP": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "hostPort": {
                                                                                    "format": "int32",
                                                                                    "type": "integer",
                                                                                    "nullable": true
                                                                                },
                                                                                "name": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "protocol": {
                                                                                    "default": "TCP",
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "containerPort"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "readinessProbe": {
                                                                        "properties": {
                                                                            "exec": {
                                                                                "properties": {
                                                                                    "command": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "failureThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "grpc": {
                                                                                "properties": {
                                                                                    "port": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    },
                                                                                    "service": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "httpGet": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpHeaders": {
                                                                                        "items": {
                                                                                            "properties": {
                                                                                                "name": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "value": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "name",
                                                                                                "value"
                                                                                            ],
                                                                                            "type": "object"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "path": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    },
                                                                                    "scheme": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "initialDelaySeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "periodSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "successThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "tcpSocket": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "terminationGracePeriodSeconds": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "timeoutSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "resizePolicy": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "resourceName": {
                                                                                    "type": "string"
                                                                                },
                                                                                "restartPolicy": {
                                                                                    "type": "string"
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "resourceName",
                                                                                "restartPolicy"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "resources": {
                                                                        "properties": {
                                                                            "claims": {
                                                                                "items": {
                                                                                    "properties": {
                                                                                        "name": {
                                                                                            "type": "string"
                                                                                        }
                                                                                    },
                                                                                    "required": [
                                                                                        "name"
                                                                                    ],
                                                                                    "type": "object"
                                                                                },
                                                                                "type": "array",
                                                                                "nullable": true
                                                                            },
                                                                            "limits": {
                                                                                "additionalProperties": {
                                                                                    "anyOf": [
                                                                                        {
                                                                                            "type": "integer"
                                                                                        },
                                                                                        {
                                                                                            "type": "string"
                                                                                        }
                                                                                    ],
                                                                                    "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                },
                                                                                "type": "object",
                                                                                "properties": {},
                                                                                "nullable": true
                                                                            },
                                                                            "requests": {
                                                                                "additionalProperties": {
                                                                                    "anyOf": [
                                                                                        {
                                                                                            "type": "integer"
                                                                                        },
                                                                                        {
                                                                                            "type": "string"
                                                                                        }
                                                                                    ],
                                                                                    "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                },
                                                                                "type": "object",
                                                                                "properties": {},
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "restartPolicy": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "securityContext": {
                                                                        "properties": {
                                                                            "allowPrivilegeEscalation": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "capabilities": {
                                                                                "properties": {
                                                                                    "add": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "drop": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "privileged": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "procMount": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnlyRootFilesystem": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "runAsGroup": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "runAsNonRoot": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "runAsUser": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "seLinuxOptions": {
                                                                                "properties": {
                                                                                    "level": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "role": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "type": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "user": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "seccompProfile": {
                                                                                "properties": {
                                                                                    "localhostProfile": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "type": {
                                                                                        "type": "string"
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "type"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "windowsOptions": {
                                                                                "properties": {
                                                                                    "gmsaCredentialSpec": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "gmsaCredentialSpecName": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "hostProcess": {
                                                                                        "type": "boolean",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "runAsUserName": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "startupProbe": {
                                                                        "properties": {
                                                                            "exec": {
                                                                                "properties": {
                                                                                    "command": {
                                                                                        "items": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "failureThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "grpc": {
                                                                                "properties": {
                                                                                    "port": {
                                                                                        "format": "int32",
                                                                                        "type": "integer"
                                                                                    },
                                                                                    "service": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "httpGet": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "httpHeaders": {
                                                                                        "items": {
                                                                                            "properties": {
                                                                                                "name": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "value": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "name",
                                                                                                "value"
                                                                                            ],
                                                                                            "type": "object"
                                                                                        },
                                                                                        "type": "array",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "path": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    },
                                                                                    "scheme": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "initialDelaySeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "periodSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "successThreshold": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "tcpSocket": {
                                                                                "properties": {
                                                                                    "host": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    },
                                                                                    "port": {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ]
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "port"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "terminationGracePeriodSeconds": {
                                                                                "format": "int64",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "timeoutSeconds": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "stdin": {
                                                                        "type": "boolean",
                                                                        "nullable": true
                                                                    },
                                                                    "stdinOnce": {
                                                                        "type": "boolean",
                                                                        "nullable": true
                                                                    },
                                                                    "terminationMessagePath": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "terminationMessagePolicy": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "tty": {
                                                                        "type": "boolean",
                                                                        "nullable": true
                                                                    },
                                                                    "volumeDevices": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "devicePath": {
                                                                                    "type": "string"
                                                                                },
                                                                                "name": {
                                                                                    "type": "string"
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "devicePath",
                                                                                "name"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "volumeMounts": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "mountPath": {
                                                                                    "type": "string"
                                                                                },
                                                                                "mountPropagation": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "name": {
                                                                                    "type": "string"
                                                                                },
                                                                                "readOnly": {
                                                                                    "type": "boolean",
                                                                                    "nullable": true
                                                                                },
                                                                                "subPath": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                },
                                                                                "subPathExpr": {
                                                                                    "type": "string",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "mountPath",
                                                                                "name"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "workingDir": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "required": [
                                                                    "name"
                                                                ],
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        },
                                                        "nodeName": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "nodeSelector": {
                                                            "additionalProperties": {
                                                                "type": "string"
                                                            },
                                                            "type": "object",
                                                            "properties": {},
                                                            "nullable": true
                                                        },
                                                        "os": {
                                                            "properties": {
                                                                "name": {
                                                                    "type": "string"
                                                                }
                                                            },
                                                            "required": [
                                                                "name"
                                                            ],
                                                            "type": "object",
                                                            "nullable": true
                                                        },
                                                        "overhead": {
                                                            "additionalProperties": {
                                                                "anyOf": [
                                                                    {
                                                                        "type": "integer"
                                                                    },
                                                                    {
                                                                        "type": "string"
                                                                    }
                                                                ],
                                                                "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                            },
                                                            "type": "object",
                                                            "properties": {},
                                                            "nullable": true
                                                        },
                                                        "preemptionPolicy": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "priority": {
                                                            "format": "int32",
                                                            "type": "integer",
                                                            "nullable": true
                                                        },
                                                        "priorityClassName": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "readinessGates": {
                                                            "items": {
                                                                "properties": {
                                                                    "conditionType": {
                                                                        "type": "string"
                                                                    }
                                                                },
                                                                "required": [
                                                                    "conditionType"
                                                                ],
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        },
                                                        "resourceClaims": {
                                                            "items": {
                                                                "properties": {
                                                                    "name": {
                                                                        "type": "string"
                                                                    },
                                                                    "source": {
                                                                        "properties": {
                                                                            "resourceClaimName": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "resourceClaimTemplateName": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "required": [
                                                                    "name"
                                                                ],
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        },
                                                        "restartPolicy": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "runtimeClassName": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "schedulerName": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "schedulingGates": {
                                                            "items": {
                                                                "properties": {
                                                                    "name": {
                                                                        "type": "string"
                                                                    }
                                                                },
                                                                "required": [
                                                                    "name"
                                                                ],
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        },
                                                        "securityContext": {
                                                            "properties": {
                                                                "fsGroup": {
                                                                    "format": "int64",
                                                                    "type": "integer",
                                                                    "nullable": true
                                                                },
                                                                "fsGroupChangePolicy": {
                                                                    "type": "string",
                                                                    "nullable": true
                                                                },
                                                                "runAsGroup": {
                                                                    "format": "int64",
                                                                    "type": "integer",
                                                                    "nullable": true
                                                                },
                                                                "runAsNonRoot": {
                                                                    "type": "boolean",
                                                                    "nullable": true
                                                                },
                                                                "runAsUser": {
                                                                    "format": "int64",
                                                                    "type": "integer",
                                                                    "nullable": true
                                                                },
                                                                "seLinuxOptions": {
                                                                    "properties": {
                                                                        "level": {
                                                                            "type": "string",
                                                                            "nullable": true
                                                                        },
                                                                        "role": {
                                                                            "type": "string",
                                                                            "nullable": true
                                                                        },
                                                                        "type": {
                                                                            "type": "string",
                                                                            "nullable": true
                                                                        },
                                                                        "user": {
                                                                            "type": "string",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "type": "object",
                                                                    "nullable": true
                                                                },
                                                                "seccompProfile": {
                                                                    "properties": {
                                                                        "localhostProfile": {
                                                                            "type": "string",
                                                                            "nullable": true
                                                                        },
                                                                        "type": {
                                                                            "type": "string"
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "type"
                                                                    ],
                                                                    "type": "object",
                                                                    "nullable": true
                                                                },
                                                                "supplementalGroups": {
                                                                    "items": {
                                                                        "format": "int64",
                                                                        "type": "integer"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                },
                                                                "sysctls": {
                                                                    "items": {
                                                                        "properties": {
                                                                            "name": {
                                                                                "type": "string"
                                                                            },
                                                                            "value": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "name",
                                                                            "value"
                                                                        ],
                                                                        "type": "object"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                },
                                                                "windowsOptions": {
                                                                    "properties": {
                                                                        "gmsaCredentialSpec": {
                                                                            "type": "string",
                                                                            "nullable": true
                                                                        },
                                                                        "gmsaCredentialSpecName": {
                                                                            "type": "string",
                                                                            "nullable": true
                                                                        },
                                                                        "hostProcess": {
                                                                            "type": "boolean",
                                                                            "nullable": true
                                                                        },
                                                                        "runAsUserName": {
                                                                            "type": "string",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "type": "object",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "type": "object",
                                                            "nullable": true
                                                        },
                                                        "serviceAccount": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "serviceAccountName": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "setHostnameAsFQDN": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        },
                                                        "shareProcessNamespace": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        },
                                                        "subdomain": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "terminationGracePeriodSeconds": {
                                                            "format": "int64",
                                                            "type": "integer",
                                                            "nullable": true
                                                        },
                                                        "tolerations": {
                                                            "items": {
                                                                "properties": {
                                                                    "effect": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "key": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "operator": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "tolerationSeconds": {
                                                                        "format": "int64",
                                                                        "type": "integer",
                                                                        "nullable": true
                                                                    },
                                                                    "value": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        },
                                                        "topologySpreadConstraints": {
                                                            "items": {
                                                                "properties": {
                                                                    "labelSelector": {
                                                                        "properties": {
                                                                            "matchExpressions": {
                                                                                "items": {
                                                                                    "properties": {
                                                                                        "key": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "operator": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "values": {
                                                                                            "items": {
                                                                                                "type": "string"
                                                                                            },
                                                                                            "type": "array",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "required": [
                                                                                        "key",
                                                                                        "operator"
                                                                                    ],
                                                                                    "type": "object"
                                                                                },
                                                                                "type": "array",
                                                                                "nullable": true
                                                                            },
                                                                            "matchLabels": {
                                                                                "additionalProperties": {
                                                                                    "type": "string"
                                                                                },
                                                                                "type": "object",
                                                                                "properties": {},
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "matchLabelKeys": {
                                                                        "items": {
                                                                            "type": "string"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "maxSkew": {
                                                                        "format": "int32",
                                                                        "type": "integer"
                                                                    },
                                                                    "minDomains": {
                                                                        "format": "int32",
                                                                        "type": "integer",
                                                                        "nullable": true
                                                                    },
                                                                    "nodeAffinityPolicy": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "nodeTaintsPolicy": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "topologyKey": {
                                                                        "type": "string"
                                                                    },
                                                                    "whenUnsatisfiable": {
                                                                        "type": "string"
                                                                    }
                                                                },
                                                                "required": [
                                                                    "maxSkew",
                                                                    "topologyKey",
                                                                    "whenUnsatisfiable"
                                                                ],
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        },
                                                        "volumes": {
                                                            "items": {
                                                                "properties": {
                                                                    "awsElasticBlockStore": {
                                                                        "properties": {
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "partition": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "volumeID": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "volumeID"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "azureDisk": {
                                                                        "properties": {
                                                                            "cachingMode": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "diskName": {
                                                                                "type": "string"
                                                                            },
                                                                            "diskURI": {
                                                                                "type": "string"
                                                                            },
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "kind": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "diskName",
                                                                            "diskURI"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "azureFile": {
                                                                        "properties": {
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "secretName": {
                                                                                "type": "string"
                                                                            },
                                                                            "shareName": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "secretName",
                                                                            "shareName"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "cephfs": {
                                                                        "properties": {
                                                                            "monitors": {
                                                                                "items": {
                                                                                    "type": "string"
                                                                                },
                                                                                "type": "array"
                                                                            },
                                                                            "path": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "secretFile": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "secretRef": {
                                                                                "properties": {
                                                                                    "name": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "user": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "monitors"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "cinder": {
                                                                        "properties": {
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "secretRef": {
                                                                                "properties": {
                                                                                    "name": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "volumeID": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "volumeID"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "configMap": {
                                                                        "properties": {
                                                                            "defaultMode": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "items": {
                                                                                "items": {
                                                                                    "properties": {
                                                                                        "key": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "mode": {
                                                                                            "format": "int32",
                                                                                            "type": "integer",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "path": {
                                                                                            "type": "string"
                                                                                        }
                                                                                    },
                                                                                    "required": [
                                                                                        "key",
                                                                                        "path"
                                                                                    ],
                                                                                    "type": "object"
                                                                                },
                                                                                "type": "array",
                                                                                "nullable": true
                                                                            },
                                                                            "name": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "optional": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "csi": {
                                                                        "properties": {
                                                                            "driver": {
                                                                                "type": "string"
                                                                            },
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "nodePublishSecretRef": {
                                                                                "properties": {
                                                                                    "name": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "volumeAttributes": {
                                                                                "additionalProperties": {
                                                                                    "type": "string"
                                                                                },
                                                                                "type": "object",
                                                                                "properties": {},
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "driver"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "downwardAPI": {
                                                                        "properties": {
                                                                            "defaultMode": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "items": {
                                                                                "items": {
                                                                                    "properties": {
                                                                                        "fieldRef": {
                                                                                            "properties": {
                                                                                                "apiVersion": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "fieldPath": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "fieldPath"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "mode": {
                                                                                            "format": "int32",
                                                                                            "type": "integer",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "path": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "resourceFieldRef": {
                                                                                            "properties": {
                                                                                                "containerName": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "divisor": {
                                                                                                    "oneOf": [
                                                                                                        {
                                                                                                            "anyOf": [
                                                                                                                {
                                                                                                                    "type": "integer"
                                                                                                                },
                                                                                                                {
                                                                                                                    "type": "string"
                                                                                                                }
                                                                                                            ],
                                                                                                            "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                                        },
                                                                                                        {
                                                                                                            "type": "null"
                                                                                                        }
                                                                                                    ]
                                                                                                },
                                                                                                "resource": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "resource"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "required": [
                                                                                        "path"
                                                                                    ],
                                                                                    "type": "object"
                                                                                },
                                                                                "type": "array",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "emptyDir": {
                                                                        "properties": {
                                                                            "medium": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "sizeLimit": {
                                                                                "oneOf": [
                                                                                    {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ],
                                                                                        "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                    },
                                                                                    {
                                                                                        "type": "null"
                                                                                    }
                                                                                ]
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "ephemeral": {
                                                                        "properties": {
                                                                            "volumeClaimTemplate": {
                                                                                "properties": {
                                                                                    "metadata": {
                                                                                        "type": "object",
                                                                                        "properties": {},
                                                                                        "nullable": true
                                                                                    },
                                                                                    "spec": {
                                                                                        "properties": {
                                                                                            "accessModes": {
                                                                                                "items": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "type": "array",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "dataSource": {
                                                                                                "properties": {
                                                                                                    "apiGroup": {
                                                                                                        "type": "string",
                                                                                                        "nullable": true
                                                                                                    },
                                                                                                    "kind": {
                                                                                                        "type": "string"
                                                                                                    },
                                                                                                    "name": {
                                                                                                        "type": "string"
                                                                                                    }
                                                                                                },
                                                                                                "required": [
                                                                                                    "kind",
                                                                                                    "name"
                                                                                                ],
                                                                                                "type": "object",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "dataSourceRef": {
                                                                                                "properties": {
                                                                                                    "apiGroup": {
                                                                                                        "type": "string",
                                                                                                        "nullable": true
                                                                                                    },
                                                                                                    "kind": {
                                                                                                        "type": "string"
                                                                                                    },
                                                                                                    "name": {
                                                                                                        "type": "string"
                                                                                                    },
                                                                                                    "namespace": {
                                                                                                        "type": "string",
                                                                                                        "nullable": true
                                                                                                    }
                                                                                                },
                                                                                                "required": [
                                                                                                    "kind",
                                                                                                    "name"
                                                                                                ],
                                                                                                "type": "object",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "resources": {
                                                                                                "properties": {
                                                                                                    "limits": {
                                                                                                        "additionalProperties": {
                                                                                                            "anyOf": [
                                                                                                                {
                                                                                                                    "type": "integer"
                                                                                                                },
                                                                                                                {
                                                                                                                    "type": "string"
                                                                                                                }
                                                                                                            ],
                                                                                                            "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                                        },
                                                                                                        "type": "object",
                                                                                                        "properties": {},
                                                                                                        "nullable": true
                                                                                                    },
                                                                                                    "requests": {
                                                                                                        "additionalProperties": {
                                                                                                            "anyOf": [
                                                                                                                {
                                                                                                                    "type": "integer"
                                                                                                                },
                                                                                                                {
                                                                                                                    "type": "string"
                                                                                                                }
                                                                                                            ],
                                                                                                            "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                                        },
                                                                                                        "type": "object",
                                                                                                        "properties": {},
                                                                                                        "nullable": true
                                                                                                    }
                                                                                                },
                                                                                                "type": "object",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "selector": {
                                                                                                "properties": {
                                                                                                    "matchExpressions": {
                                                                                                        "items": {
                                                                                                            "properties": {
                                                                                                                "key": {
                                                                                                                    "type": "string"
                                                                                                                },
                                                                                                                "operator": {
                                                                                                                    "type": "string"
                                                                                                                },
                                                                                                                "values": {
                                                                                                                    "items": {
                                                                                                                        "type": "string"
                                                                                                                    },
                                                                                                                    "type": "array",
                                                                                                                    "nullable": true
                                                                                                                }
                                                                                                            },
                                                                                                            "required": [
                                                                                                                "key",
                                                                                                                "operator"
                                                                                                            ],
                                                                                                            "type": "object"
                                                                                                        },
                                                                                                        "type": "array",
                                                                                                        "nullable": true
                                                                                                    },
                                                                                                    "matchLabels": {
                                                                                                        "additionalProperties": {
                                                                                                            "type": "string"
                                                                                                        },
                                                                                                        "type": "object",
                                                                                                        "properties": {},
                                                                                                        "nullable": true
                                                                                                    }
                                                                                                },
                                                                                                "type": "object",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "storageClassName": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "volumeAttributesClassName": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "volumeMode": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            },
                                                                                            "volumeName": {
                                                                                                "type": "string",
                                                                                                "nullable": true
                                                                                            }
                                                                                        },
                                                                                        "type": "object"
                                                                                    }
                                                                                },
                                                                                "required": [
                                                                                    "spec"
                                                                                ],
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "fc": {
                                                                        "properties": {
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "lun": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "targetWWNs": {
                                                                                "items": {
                                                                                    "type": "string"
                                                                                },
                                                                                "type": "array",
                                                                                "nullable": true
                                                                            },
                                                                            "wwids": {
                                                                                "items": {
                                                                                    "type": "string"
                                                                                },
                                                                                "type": "array",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "flexVolume": {
                                                                        "properties": {
                                                                            "driver": {
                                                                                "type": "string"
                                                                            },
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "options": {
                                                                                "additionalProperties": {
                                                                                    "type": "string"
                                                                                },
                                                                                "type": "object",
                                                                                "properties": {},
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "secretRef": {
                                                                                "properties": {
                                                                                    "name": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "driver"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "flocker": {
                                                                        "properties": {
                                                                            "datasetName": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "datasetUUID": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "gcePersistentDisk": {
                                                                        "properties": {
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "partition": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "pdName": {
                                                                                "type": "string"
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "pdName"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "gitRepo": {
                                                                        "properties": {
                                                                            "directory": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "repository": {
                                                                                "type": "string"
                                                                            },
                                                                            "revision": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "repository"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "glusterfs": {
                                                                        "properties": {
                                                                            "endpoints": {
                                                                                "type": "string"
                                                                            },
                                                                            "path": {
                                                                                "type": "string"
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "endpoints",
                                                                            "path"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "hostPath": {
                                                                        "properties": {
                                                                            "path": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "path"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "iscsi": {
                                                                        "properties": {
                                                                            "chapAuthDiscovery": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "chapAuthSession": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "initiatorName": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "iqn": {
                                                                                "type": "string"
                                                                            },
                                                                            "iscsiInterface": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "lun": {
                                                                                "format": "int32",
                                                                                "type": "integer"
                                                                            },
                                                                            "portals": {
                                                                                "items": {
                                                                                    "type": "string"
                                                                                },
                                                                                "type": "array",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "secretRef": {
                                                                                "properties": {
                                                                                    "name": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "targetPortal": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "iqn",
                                                                            "lun",
                                                                            "targetPortal"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "name": {
                                                                        "type": "string"
                                                                    },
                                                                    "nfs": {
                                                                        "properties": {
                                                                            "path": {
                                                                                "type": "string"
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "server": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "path",
                                                                            "server"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "persistentVolumeClaim": {
                                                                        "properties": {
                                                                            "claimName": {
                                                                                "type": "string"
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "claimName"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "photonPersistentDisk": {
                                                                        "properties": {
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "pdID": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "pdID"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "portworxVolume": {
                                                                        "properties": {
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "volumeID": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "volumeID"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "projected": {
                                                                        "properties": {
                                                                            "defaultMode": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "sources": {
                                                                                "items": {
                                                                                    "properties": {
                                                                                        "clusterTrustBundle": {
                                                                                            "properties": {
                                                                                                "labelSelector": {
                                                                                                    "properties": {
                                                                                                        "matchExpressions": {
                                                                                                            "items": {
                                                                                                                "properties": {
                                                                                                                    "key": {
                                                                                                                        "type": "string"
                                                                                                                    },
                                                                                                                    "operator": {
                                                                                                                        "type": "string"
                                                                                                                    },
                                                                                                                    "values": {
                                                                                                                        "items": {
                                                                                                                            "type": "string"
                                                                                                                        },
                                                                                                                        "type": "array",
                                                                                                                        "nullable": true
                                                                                                                    }
                                                                                                                },
                                                                                                                "required": [
                                                                                                                    "key",
                                                                                                                    "operator"
                                                                                                                ],
                                                                                                                "type": "object"
                                                                                                            },
                                                                                                            "type": "array",
                                                                                                            "nullable": true
                                                                                                        },
                                                                                                        "matchLabels": {
                                                                                                            "additionalProperties": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "type": "object",
                                                                                                            "properties": {},
                                                                                                            "nullable": true
                                                                                                        }
                                                                                                    },
                                                                                                    "type": "object",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "name": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "optional": {
                                                                                                    "type": "boolean",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "path": {
                                                                                                    "type": "string"
                                                                                                },
                                                                                                "signerName": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "path"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "configMap": {
                                                                                            "properties": {
                                                                                                "items": {
                                                                                                    "items": {
                                                                                                        "properties": {
                                                                                                            "key": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "mode": {
                                                                                                                "format": "int32",
                                                                                                                "type": "integer",
                                                                                                                "nullable": true
                                                                                                            },
                                                                                                            "path": {
                                                                                                                "type": "string"
                                                                                                            }
                                                                                                        },
                                                                                                        "required": [
                                                                                                            "key",
                                                                                                            "path"
                                                                                                        ],
                                                                                                        "type": "object"
                                                                                                    },
                                                                                                    "type": "array",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "name": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "optional": {
                                                                                                    "type": "boolean",
                                                                                                    "nullable": true
                                                                                                }
                                                                                            },
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "downwardAPI": {
                                                                                            "properties": {
                                                                                                "items": {
                                                                                                    "items": {
                                                                                                        "properties": {
                                                                                                            "fieldRef": {
                                                                                                                "properties": {
                                                                                                                    "apiVersion": {
                                                                                                                        "type": "string",
                                                                                                                        "nullable": true
                                                                                                                    },
                                                                                                                    "fieldPath": {
                                                                                                                        "type": "string"
                                                                                                                    }
                                                                                                                },
                                                                                                                "required": [
                                                                                                                    "fieldPath"
                                                                                                                ],
                                                                                                                "type": "object",
                                                                                                                "nullable": true
                                                                                                            },
                                                                                                            "mode": {
                                                                                                                "format": "int32",
                                                                                                                "type": "integer",
                                                                                                                "nullable": true
                                                                                                            },
                                                                                                            "path": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "resourceFieldRef": {
                                                                                                                "properties": {
                                                                                                                    "containerName": {
                                                                                                                        "type": "string",
                                                                                                                        "nullable": true
                                                                                                                    },
                                                                                                                    "divisor": {
                                                                                                                        "oneOf": [
                                                                                                                            {
                                                                                                                                "anyOf": [
                                                                                                                                    {
                                                                                                                                        "type": "integer"
                                                                                                                                    },
                                                                                                                                    {
                                                                                                                                        "type": "string"
                                                                                                                                    }
                                                                                                                                ],
                                                                                                                                "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                                                            },
                                                                                                                            {
                                                                                                                                "type": "null"
                                                                                                                            }
                                                                                                                        ]
                                                                                                                    },
                                                                                                                    "resource": {
                                                                                                                        "type": "string"
                                                                                                                    }
                                                                                                                },
                                                                                                                "required": [
                                                                                                                    "resource"
                                                                                                                ],
                                                                                                                "type": "object",
                                                                                                                "nullable": true
                                                                                                            }
                                                                                                        },
                                                                                                        "required": [
                                                                                                            "path"
                                                                                                        ],
                                                                                                        "type": "object"
                                                                                                    },
                                                                                                    "type": "array",
                                                                                                    "nullable": true
                                                                                                }
                                                                                            },
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "secret": {
                                                                                            "properties": {
                                                                                                "items": {
                                                                                                    "items": {
                                                                                                        "properties": {
                                                                                                            "key": {
                                                                                                                "type": "string"
                                                                                                            },
                                                                                                            "mode": {
                                                                                                                "format": "int32",
                                                                                                                "type": "integer",
                                                                                                                "nullable": true
                                                                                                            },
                                                                                                            "path": {
                                                                                                                "type": "string"
                                                                                                            }
                                                                                                        },
                                                                                                        "required": [
                                                                                                            "key",
                                                                                                            "path"
                                                                                                        ],
                                                                                                        "type": "object"
                                                                                                    },
                                                                                                    "type": "array",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "name": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "optional": {
                                                                                                    "type": "boolean",
                                                                                                    "nullable": true
                                                                                                }
                                                                                            },
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "serviceAccountToken": {
                                                                                            "properties": {
                                                                                                "audience": {
                                                                                                    "type": "string",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "expirationSeconds": {
                                                                                                    "format": "int64",
                                                                                                    "type": "integer",
                                                                                                    "nullable": true
                                                                                                },
                                                                                                "path": {
                                                                                                    "type": "string"
                                                                                                }
                                                                                            },
                                                                                            "required": [
                                                                                                "path"
                                                                                            ],
                                                                                            "type": "object",
                                                                                            "nullable": true
                                                                                        }
                                                                                    },
                                                                                    "type": "object"
                                                                                },
                                                                                "type": "array",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "quobyte": {
                                                                        "properties": {
                                                                            "group": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "registry": {
                                                                                "type": "string"
                                                                            },
                                                                            "tenant": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "user": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "volume": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "registry",
                                                                            "volume"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "rbd": {
                                                                        "properties": {
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "image": {
                                                                                "type": "string"
                                                                            },
                                                                            "keyring": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "monitors": {
                                                                                "items": {
                                                                                    "type": "string"
                                                                                },
                                                                                "type": "array"
                                                                            },
                                                                            "pool": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "secretRef": {
                                                                                "properties": {
                                                                                    "name": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "user": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "image",
                                                                            "monitors"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "scaleIO": {
                                                                        "properties": {
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "gateway": {
                                                                                "type": "string"
                                                                            },
                                                                            "protectionDomain": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "secretRef": {
                                                                                "properties": {
                                                                                    "name": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object"
                                                                            },
                                                                            "sslEnabled": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "storageMode": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "storagePool": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "system": {
                                                                                "type": "string"
                                                                            },
                                                                            "volumeName": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "gateway",
                                                                            "secretRef",
                                                                            "system"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "secret": {
                                                                        "properties": {
                                                                            "defaultMode": {
                                                                                "format": "int32",
                                                                                "type": "integer",
                                                                                "nullable": true
                                                                            },
                                                                            "items": {
                                                                                "items": {
                                                                                    "properties": {
                                                                                        "key": {
                                                                                            "type": "string"
                                                                                        },
                                                                                        "mode": {
                                                                                            "format": "int32",
                                                                                            "type": "integer",
                                                                                            "nullable": true
                                                                                        },
                                                                                        "path": {
                                                                                            "type": "string"
                                                                                        }
                                                                                    },
                                                                                    "required": [
                                                                                        "key",
                                                                                        "path"
                                                                                    ],
                                                                                    "type": "object"
                                                                                },
                                                                                "type": "array",
                                                                                "nullable": true
                                                                            },
                                                                            "optional": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "secretName": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "storageos": {
                                                                        "properties": {
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "readOnly": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            },
                                                                            "secretRef": {
                                                                                "properties": {
                                                                                    "name": {
                                                                                        "type": "string",
                                                                                        "nullable": true
                                                                                    }
                                                                                },
                                                                                "type": "object",
                                                                                "nullable": true
                                                                            },
                                                                            "volumeName": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "volumeNamespace": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "vsphereVolume": {
                                                                        "properties": {
                                                                            "fsType": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "storagePolicyID": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "storagePolicyName": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "volumePath": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "volumePath"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "required": [
                                                                    "name"
                                                                ],
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "containers"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        },
                                        "updateStrategy": {
                                            "properties": {
                                                "rollingUpdate": {
                                                    "properties": {
                                                        "maxUnavailable": {
                                                            "oneOf": [
                                                                {
                                                                    "anyOf": [
                                                                        {
                                                                            "type": "integer"
                                                                        },
                                                                        {
                                                                            "type": "string"
                                                                        }
                                                                    ]
                                                                },
                                                                {
                                                                    "type": "null"
                                                                }
                                                            ]
                                                        },
                                                        "partition": {
                                                            "format": "int32",
                                                            "type": "integer",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "type": "object",
                                                    "nullable": true
                                                },
                                                "type": {
                                                    "type": "string",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        },
                                        "volumeClaimTemplates": {
                                            "items": {
                                                "properties": {
                                                    "apiVersion": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "kind": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "metadata": {
                                                        "properties": {
                                                            "annotations": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            },
                                                            "labels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            },
                                                            "name": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "namespace": {
                                                                "type": "string",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "spec": {
                                                        "properties": {
                                                            "accessModes": {
                                                                "items": {
                                                                    "type": "string"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "dataSource": {
                                                                "properties": {
                                                                    "apiGroup": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "kind": {
                                                                        "type": "string"
                                                                    },
                                                                    "name": {
                                                                        "type": "string"
                                                                    }
                                                                },
                                                                "required": [
                                                                    "kind",
                                                                    "name"
                                                                ],
                                                                "type": "object",
                                                                "nullable": true
                                                            },
                                                            "dataSourceRef": {
                                                                "properties": {
                                                                    "apiGroup": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "kind": {
                                                                        "type": "string"
                                                                    },
                                                                    "name": {
                                                                        "type": "string"
                                                                    },
                                                                    "namespace": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "required": [
                                                                    "kind",
                                                                    "name"
                                                                ],
                                                                "type": "object",
                                                                "nullable": true
                                                            },
                                                            "resources": {
                                                                "properties": {
                                                                    "limits": {
                                                                        "additionalProperties": {
                                                                            "anyOf": [
                                                                                {
                                                                                    "type": "integer"
                                                                                },
                                                                                {
                                                                                    "type": "string"
                                                                                }
                                                                            ],
                                                                            "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                        },
                                                                        "type": "object",
                                                                        "properties": {},
                                                                        "nullable": true
                                                                    },
                                                                    "requests": {
                                                                        "additionalProperties": {
                                                                            "anyOf": [
                                                                                {
                                                                                    "type": "integer"
                                                                                },
                                                                                {
                                                                                    "type": "string"
                                                                                }
                                                                            ],
                                                                            "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                        },
                                                                        "type": "object",
                                                                        "properties": {},
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "type": "object",
                                                                "nullable": true
                                                            },
                                                            "selector": {
                                                                "properties": {
                                                                    "matchExpressions": {
                                                                        "items": {
                                                                            "properties": {
                                                                                "key": {
                                                                                    "type": "string"
                                                                                },
                                                                                "operator": {
                                                                                    "type": "string"
                                                                                },
                                                                                "values": {
                                                                                    "items": {
                                                                                        "type": "string"
                                                                                    },
                                                                                    "type": "array",
                                                                                    "nullable": true
                                                                                }
                                                                            },
                                                                            "required": [
                                                                                "key",
                                                                                "operator"
                                                                            ],
                                                                            "type": "object"
                                                                        },
                                                                        "type": "array",
                                                                        "nullable": true
                                                                    },
                                                                    "matchLabels": {
                                                                        "additionalProperties": {
                                                                            "type": "string"
                                                                        },
                                                                        "type": "object",
                                                                        "properties": {},
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "type": "object",
                                                                "nullable": true
                                                            },
                                                            "storageClassName": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "volumeAttributesClassName": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "volumeMode": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "volumeName": {
                                                                "type": "string",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object"
                                            },
                                            "type": "array",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "persistence": {
                    "default": {
                        "storage": "10Gi"
                    },
                    "properties": {
                        "storage": {
                            "oneOf": [
                                {
                                    "anyOf": [
                                        {
                                            "type": "integer"
                                        },
                                        {
                                            "type": "string"
                                        }
                                    ],
                                    "default": "10Gi",
                                    "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                },
                                {
                                    "type": "null"
                                }
                            ]
                        },
                        "storageClassName": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "rabbitmq": {
                    "properties": {
                        "additionalConfig": {
                            "maxLength": 2000,
                            "type": "string",
                            "nullable": true
                        },
                        "additionalPlugins": {
                            "items": {
                                "maxLength": 100,
                                "type": "string",
                                "pattern": "^\\w+$"
                            },
                            "maxItems": 100,
                            "type": "array",
                            "nullable": true
                        },
                        "advancedConfig": {
                            "maxLength": 100000,
                            "type": "string",
                            "nullable": true
                        },
                        "envConfig": {
                            "maxLength": 100000,
                            "type": "string",
                            "nullable": true
                        },
                        "erlangInetConfig": {
                            "maxLength": 2000,
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "replicas": {
                    "default": 1,
                    "format": "int32",
                    "type": "integer",
                    "minimum": 0,
                    "nullable": true
                },
                "resources": {
                    "default": {
                        "limits": {
                            "cpu": "2000m",
                            "memory": "2Gi"
                        },
                        "requests": {
                            "cpu": "1000m",
                            "memory": "2Gi"
                        }
                    },
                    "properties": {
                        "claims": {
                            "items": {
                                "properties": {
                                    "name": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "name"
                                ],
                                "type": "object"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "limits": {
                            "additionalProperties": {
                                "anyOf": [
                                    {
                                        "type": "integer"
                                    },
                                    {
                                        "type": "string"
                                    }
                                ],
                                "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "requests": {
                            "additionalProperties": {
                                "anyOf": [
                                    {
                                        "type": "integer"
                                    },
                                    {
                                        "type": "string"
                                    }
                                ],
                                "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "secretBackend": {
                    "properties": {
                        "externalSecret": {
                            "properties": {
                                "name": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "vault": {
                            "properties": {
                                "annotations": {
                                    "additionalProperties": {
                                        "type": "string"
                                    },
                                    "type": "object",
                                    "properties": {},
                                    "nullable": true
                                },
                                "defaultUserPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "defaultUserUpdaterImage": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "role": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "tls": {
                                    "properties": {
                                        "altNames": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "commonName": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "ipSans": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "pkiIssuerPath": {
                                            "type": "string",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "service": {
                    "default": {
                        "type": "ClusterIP"
                    },
                    "properties": {
                        "annotations": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "ipFamilyPolicy": {
                            "enum": [
                                "SingleStack",
                                "PreferDualStack",
                                "RequireDualStack"
                            ],
                            "type": "string",
                            "nullable": true
                        },
                        "type": {
                            "default": "ClusterIP",
                            "enum": [
                                "ClusterIP",
                                "LoadBalancer",
                                "NodePort"
                            ],
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "skipPostDeploySteps": {
                    "type": "boolean",
                    "nullable": true
                },
                "terminationGracePeriodSeconds": {
                    "default": 604800,
                    "format": "int64",
                    "type": "integer",
                    "minimum": 0,
                    "nullable": true
                },
                "tls": {
                    "properties": {
                        "caSecretName": {
                            "type": "string",
                            "nullable": true
                        },
                        "disableNonTLSListeners": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "secretName": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "tolerations": {
                    "items": {
                        "properties": {
                            "effect": {
                                "type": "string",
                                "nullable": true
                            },
                            "key": {
                                "type": "string",
                                "nullable": true
                            },
                            "operator": {
                                "type": "string",
                                "nullable": true
                            },
                            "tolerationSeconds": {
                                "format": "int64",
                                "type": "integer",
                                "nullable": true
                            },
                            "value": {
                                "type": "string",
                                "nullable": true
                            }
                        },
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                }
            },
            "type": "object",
            "nullable": true
        },
        "status": {
            "properties": {
                "binding": {
                    "properties": {
                        "name": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "conditions": {
                    "items": {
                        "properties": {
                            "lastTransitionTime": {
                                "format": "date-time",
                                "type": "string",
                                "nullable": true
                            },
                            "message": {
                                "type": "string",
                                "nullable": true
                            },
                            "reason": {
                                "type": "string",
                                "nullable": true
                            },
                            "status": {
                                "type": "string"
                            },
                            "type": {
                                "type": "string"
                            }
                        },
                        "required": [
                            "status",
                            "type"
                        ],
                        "type": "object"
                    },
                    "type": "array"
                },
                "defaultUser": {
                    "properties": {
                        "secretReference": {
                            "properties": {
                                "keys": {
                                    "additionalProperties": {
                                        "type": "string"
                                    },
                                    "type": "object",
                                    "properties": {}
                                },
                                "name": {
                                    "type": "string"
                                },
                                "namespace": {
                                    "type": "string"
                                }
                            },
                            "required": [
                                "keys",
                                "name",
                                "namespace"
                            ],
                            "type": "object",
                            "nullable": true
                        },
                        "serviceReference": {
                            "properties": {
                                "name": {
                                    "type": "string"
                                },
                                "namespace": {
                                    "type": "string"
                                }
                            },
                            "required": [
                                "name",
                                "namespace"
                            ],
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "observedGeneration": {
                    "format": "int64",
                    "type": "integer",
                    "nullable": true
                }
            },
            "required": [
                "conditions"
            ],
            "type": "object",
            "nullable": true
        }
    },
    "required": [
        "apiVersion",
        "kind"
    ]
};
/**
 * RabbitmqCluster is the Schema for the RabbitmqCluster API. Each instance of this object corresponds to a single RabbitMQ cluster.
 */
export class RabbitmqCluster extends Model {
    constructor(data) {
        super({
            apiVersion: RabbitmqCluster.apiVersion,
            kind: RabbitmqCluster.kind,
            ...data
        });
    }
}
RabbitmqCluster.apiVersion = "rabbitmq.com/v1beta1";
RabbitmqCluster.kind = "RabbitmqCluster";
RabbitmqCluster.is = createTypeMetaGuard(RabbitmqCluster);
setSchema(RabbitmqCluster, schemaId, () => {
    addSchema();
    register(schemaId, schema);
});
